SYSLOGD(8)

NAME
syslogd - log system messages

SYNOPSIS
/usr/etc/syslogd [ -d ] [ -fconfigfile ] [ -m interval ]

DESCRIPTION
syslogd reads and forwards system messages to the appropriate log files and/or users, depending upon the priority of a message and the system facility from which it originates. The configuration file /etc/syslog.conf (see syslog.conf(5)) controls where messages are forwarded. syslogd logs a mark (timestamp) message every interval minutes (default 20) at priority LOG_INFO to the facility whose name is given as mark in the syslog.conf file.

A system message consists of a single line of text, which may be prefixed with a priority code number enclosed in angle-brackets (<>); priorities are defined in sys/syslog.h.

syslogd reads from the AF_UNIX address family socket /dev/log, from an Internet address family socket specified in /etc/services, and from the special device /dev/klog (for kernel messages).

syslogd reads the configuration file when it starts up, and again whenever it receives a HUP signal, at which time it also closes all files it has open, re-reads its configuration file, and then opens only the log files that are listed in that file. syslogd exits when it receives a TERM signal.

As it starts up, syslogd creates the file /etc/syslog.pid, if possible, containing its process ID (PID).

Sun386i DESCRIPTION
syslogd translates messages using the databases specified on an optional line in the syslog.conf as indicated with a translate entry.

The format of these databases is described in translate(5).

OPTIONS

-d  Turn on debugging.

-fconfigfile
    Specify an alternate configuration file.

-m interval
    Specify an interval, in minutes, between mark messages.

FILES
/etc/syslog.conf
    configuration file
/etc/syslog.pid
    process ID
/dev/log
    AF_UNIX address family datagram log socket
/dev/klog
    kernel log device
/etc/services
    network services database

SEE ALSO
logger(1), syslog(3), syslog.conf(5), translate(5)